COMMENT ON TABLE osm.infrastructure_point IS 'OpenStreetMap infrastructure layer.  Generated by osm2pgsql Flex output using pgosm-flex/flex-config/infrasturcture.lua';

ALTER TABLE osm.infrastructure_point
	ADD CONSTRAINT pk_osm_infrastructure_point_osm_id
    PRIMARY KEY (osm_id)
;

CREATE INDEX ix_osm_infrastructure_point_highway ON osm.infrastructure_point (osm_type);

COMMENT ON COLUMN osm.infrastructure_point.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';
COMMENT ON COLUMN osm.infrastructure_point.ele IS 'Elevation in meters';

COMMENT ON COLUMN osm.infrastructure_point.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer. Value from key stored in osm_subtype.';
COMMENT ON COLUMN osm.infrastructure_line.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer. Value from key stored in osm_subtype.';
COMMENT ON COLUMN osm.infrastructure_polygon.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer. Value from key stored in osm_subtype.';

COMMENT ON COLUMN osm.infrastructure_point.osm_subtype IS 'Value detail describing the key (osm_type).';
COMMENT ON COLUMN osm.infrastructure_line.osm_subtype IS 'Value detail describing the key (osm_type).';
COMMENT ON COLUMN osm.infrastructure_polygon.osm_subtype IS 'Value detail describing the key (osm_type).';

COMMENT ON COLUMN osm.infrastructure_point.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.infrastructure_point.height IS 'Object height.  Should be in meters (m) but is not enforced.  Please fix data in OpenStreetMap.org if incorrect values are discovered.';
COMMENT ON COLUMN osm.infrastructure_point.material IS 'Describes the main material of a physical feature.  https://wiki.openstreetmap.org/wiki/Key:material';
COMMENT ON COLUMN osm.infrastructure_point.geom IS 'Geometry loaded by osm2pgsql.';
COMMENT ON COLUMN osm.infrastructure_point.operator IS 'Entity in charge of operations. https://wiki.openstreetmap.org/wiki/Key:operator';

