COMMENT ON TABLE osm.landuse_polygon IS 'OpenStreetMap landuse polygons - all polygons with a landuse tag.  Generated by osm2pgsql Flex output using pgosm-flex/flex-config/landuse.lua';
COMMENT ON TABLE osm.landuse_point IS 'OpenStreetMap landuse points - all points with a landuse tag.  Generated by osm2pgsql Flex output using pgosm-flex/flex-config/landuse.lua';


ALTER TABLE osm.landuse_point
    ADD CONSTRAINT pk_osm_landuse_point_osm_id
    PRIMARY KEY (osm_id)
;
ALTER TABLE osm.landuse_polygon
    ADD CONSTRAINT pk_osm_landuse_polygon_osm_id
    PRIMARY KEY (osm_id)
;

CREATE INDEX ix_osm_landuse_point_type ON osm.landuse_point (osm_type);
CREATE INDEX ix_osm_landuse_polygon_type ON osm.landuse_polygon (osm_type);


COMMENT ON COLUMN osm.landuse_polygon.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';
COMMENT ON COLUMN osm.landuse_point.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';

COMMENT ON COLUMN osm.landuse_point.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer.';
COMMENT ON COLUMN osm.landuse_polygon.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer.';

COMMENT ON COLUMN osm.landuse_point.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.landuse_polygon.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.landuse_point.geom IS 'Geometry loaded by osm2pgsql.';
COMMENT ON COLUMN osm.landuse_polygon.geom IS 'Geometry loaded by osm2pgsql.';
