COMMENT ON TABLE osm.leisure_polygon IS 'OpenStreetMap leisure polygons - all polygons with a leisure tag.  Generated by osm2pgsql Flex output using pgosm-flex/flex-config/leisure.lua';
COMMENT ON TABLE osm.leisure_point IS 'OpenStreetMap leisure points - all points with a leisure tag.  Generated by osm2pgsql Flex output using pgosm-flex/flex-config/leisure.lua';


ALTER TABLE osm.leisure_point
    ADD CONSTRAINT pk_osm_leisure_point_osm_id
    PRIMARY KEY (osm_id)
;
ALTER TABLE osm.leisure_polygon
    ADD CONSTRAINT pk_osm_leisure_polygon_osm_id
    PRIMARY KEY (osm_id)
;

CREATE INDEX ix_osm_leisure_point_type ON osm.leisure_point (osm_type);
CREATE INDEX ix_osm_leisure_polygon_type ON osm.leisure_polygon (osm_type);

COMMENT ON COLUMN osm.leisure_polygon.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';
COMMENT ON COLUMN osm.leisure_point.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';

COMMENT ON COLUMN osm.leisure_point.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer.';
COMMENT ON COLUMN osm.leisure_polygon.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer.';

COMMENT ON COLUMN osm.leisure_point.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.leisure_polygon.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';

COMMENT ON COLUMN osm.leisure_point.geom IS 'Geometry loaded by osm2pgsql.';
COMMENT ON COLUMN osm.leisure_polygon.geom IS 'Geometry loaded by osm2pgsql.';
