COMMENT ON TABLE osm.natural_point IS 'OpenStreetMap natural points, e.g. trees, peaks, etc..  Generated by osm2pgsql Flex output using pgosm-flex/flex-config/natural.lua';
COMMENT ON TABLE osm.natural_line IS 'OpenStreetMap natural lines, e.g. cliffs, tree row, etc.. Generated by osm2pgsql Flex output using pgosm-flex/flex-config/natural.lua';
COMMENT ON TABLE osm.natural_polygon IS 'OpenStreetMap natural polygons, e.g. woods, grass, etc.. Generated by osm2pgsql Flex output using pgosm-flex/flex-config/natural.lua';

COMMENT ON COLUMN osm.natural_point.ele IS 'Elevation in meters';
COMMENT ON COLUMN osm.natural_line.ele IS 'Elevation in meters';
COMMENT ON COLUMN osm.natural_polygon.ele IS 'Elevation in meters';

ALTER TABLE osm.natural_point
    ADD CONSTRAINT pk_osm_natural_point_osm_id
    PRIMARY KEY (osm_id)
;
ALTER TABLE osm.natural_line
    ADD CONSTRAINT pk_osm_natural_line_osm_id
    PRIMARY KEY (osm_id)
;
ALTER TABLE osm.natural_polygon
    ADD CONSTRAINT pk_osm_natural_polygon_osm_id
    PRIMARY KEY (osm_id)
;


CREATE INDEX ix_osm_natural_point_type ON osm.natural_point (osm_type);
CREATE INDEX ix_osm_natural_line_type ON osm.natural_line (osm_type);
CREATE INDEX ix_osm_natural_polygon_type ON osm.natural_polygon (osm_type);


COMMENT ON COLUMN osm.natural_point.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';
COMMENT ON COLUMN osm.natural_line.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';
COMMENT ON COLUMN osm.natural_polygon.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';

COMMENT ON COLUMN osm.natural_point.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer.';
COMMENT ON COLUMN osm.natural_line.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer.';
COMMENT ON COLUMN osm.natural_polygon.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer.';


COMMENT ON COLUMN osm.natural_point.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.natural_line.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.natural_polygon.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';

COMMENT ON COLUMN osm.natural_point.geom IS 'Geometry loaded by osm2pgsql.';
COMMENT ON COLUMN osm.natural_line.geom IS 'Geometry loaded by osm2pgsql.';
COMMENT ON COLUMN osm.natural_polygon.geom IS 'Geometry loaded by osm2pgsql.';
