COMMENT ON TABLE osm.poi_point IS 'OpenStreetMap Points of Interest (POI) (points).  pois, amenities, tourism, some man_made objects, etc. Generated by osm2pgsql Flex output using pgosm-flex/flex-config/poi.lua';
COMMENT ON TABLE osm.poi_line IS 'OpenStreetMap Points of Interest (POI) (lines).  pois, amenities, tourism, some man_made objects, etc. Generated by osm2pgsql Flex output using pgosm-flex/flex-config/poi.lua';
COMMENT ON TABLE osm.poi_polygon IS 'OpenStreetMap Points of Interest (POI) (polygons).  pois, amenities, tourism, some man_made objects, etc. Generated by osm2pgsql Flex output using pgosm-flex/flex-config/poi.lua';




ALTER TABLE osm.poi_point
    ADD CONSTRAINT pk_osm_poi_point_osm_id
    PRIMARY KEY (osm_id)
;
ALTER TABLE osm.poi_line
    ADD CONSTRAINT pk_osm_poi_line_osm_id
    PRIMARY KEY (osm_id)
;
ALTER TABLE osm.poi_polygon
    ADD CONSTRAINT pk_osm_poi_polygon_osm_id
    PRIMARY KEY (osm_id)
;


CREATE INDEX ix_osm_poi_point_type ON osm.poi_point (osm_type);
CREATE INDEX ix_osm_poi_line_type ON osm.poi_line (osm_type);
CREATE INDEX ix_osm_poi_polygon_type ON osm.poi_polygon (osm_type);


COMMENT ON COLUMN osm.poi_point.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer. Value from key stored in osm_subtype.';
COMMENT ON COLUMN osm.poi_line.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer. Value from key stored in osm_subtype.';
COMMENT ON COLUMN osm.poi_polygon.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer. Value from key stored in osm_subtype.';

COMMENT ON COLUMN osm.poi_point.osm_subtype IS 'Value detail describing the key (osm_type).';
COMMENT ON COLUMN osm.poi_line.osm_subtype IS 'Value detail describing the key (osm_type).';
COMMENT ON COLUMN osm.poi_polygon.osm_subtype IS 'Value detail describing the key (osm_type).';

COMMENT ON COLUMN osm.poi_point.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';
COMMENT ON COLUMN osm.poi_line.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';
COMMENT ON COLUMN osm.poi_polygon.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';

COMMENT ON COLUMN osm.poi_point.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.poi_line.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.poi_polygon.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';

COMMENT ON COLUMN osm.poi_point.geom IS 'Geometry loaded by osm2pgsql.';
COMMENT ON COLUMN osm.poi_line.geom IS 'Geometry loaded by osm2pgsql.';
COMMENT ON COLUMN osm.poi_polygon.geom IS 'Geometry loaded by osm2pgsql.';

COMMENT ON COLUMN osm.poi_point.housenumber IS 'Value from addr:housenumber tag';
COMMENT ON COLUMN osm.poi_point.street IS 'Value from addr:street tag';
COMMENT ON COLUMN osm.poi_point.city IS 'Value from addr:city tag';
COMMENT ON COLUMN osm.poi_point.state IS 'Value from addr:state tag';
COMMENT ON COLUMN osm.poi_point.postcode IS 'Value from addr:postcode tag';

COMMENT ON COLUMN osm.poi_line.housenumber IS 'Value from addr:housenumber tag';
COMMENT ON COLUMN osm.poi_line.street IS 'Value from addr:street tag';
COMMENT ON COLUMN osm.poi_line.city IS 'Value from addr:city tag';
COMMENT ON COLUMN osm.poi_line.state IS 'Value from addr:state tag';
COMMENT ON COLUMN osm.poi_line.postcode IS 'Value from addr:postcode tag';

COMMENT ON COLUMN osm.poi_polygon.housenumber IS 'Value from addr:housenumber tag';
COMMENT ON COLUMN osm.poi_polygon.street IS 'Value from addr:street tag';
COMMENT ON COLUMN osm.poi_polygon.city IS 'Value from addr:city tag';
COMMENT ON COLUMN osm.poi_polygon.state IS 'Value from addr:state tag';
COMMENT ON COLUMN osm.poi_polygon.postcode IS 'Value from addr:postcode tag';

COMMENT ON COLUMN osm.poi_point.address IS 'Address combined from address parts in helpers.get_address().';
COMMENT ON COLUMN osm.poi_line.address IS 'Address combined from address parts in helpers.get_address().';
COMMENT ON COLUMN osm.poi_polygon.address IS 'Address combined from address parts in helpers.get_address().';

COMMENT ON COLUMN osm.poi_polygon.member_ids IS 'Member IDs making up the full relation.  NULL if not a relation.';

CREATE MATERIALIZED VIEW osm.vpoi_all AS
SELECT osm_id, 'N' AS geom_type, osm_type, osm_subtype, name, address, operator, geom
    FROM osm.poi_point
UNION
SELECT osm_id, 'L' AS geom_type, osm_type, osm_subtype, name, address, operator,
        ST_Centroid(geom) AS geom
    FROM osm.poi_line
UNION
SELECT osm_id, 'W' AS geom_type, osm_type, osm_subtype, name, address, operator,
        ST_Centroid(geom) AS geom
    FROM osm.poi_polygon
;


CREATE UNIQUE INDEX uix_osm_vpoi_all_osm_id_geom_type
    ON osm.vpoi_all (osm_id, geom_type);
CREATE INDEX gix_osm_vpoi_all
    ON osm.vpoi_all USING GIST (geom);

CREATE INDEX ix_osm_vpoi_all_osm_type ON osm.vpoi_all (osm_type);



COMMENT ON MATERIALIZED VIEW osm.vpoi_all IS 'Cobmined POI view. Converts lines and polygons to point with ST_Centroid(), stacks using UNION';

COMMENT ON COLUMN osm.vpoi_all.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer. Value from key stored in osm_subtype.';
COMMENT ON COLUMN osm.vpoi_all.address IS 'Address combined from address parts in helpers.get_address(). See base tables for individual address parts';
COMMENT ON COLUMN osm.vpoi_all.geom_type IS 'Indicates source table, N (point) L (line) W (polygon).  Using L for line differs from how osm2pgsql classifies lines ("W") in order to provide a direct link to which table the data comes from.';
COMMENT ON COLUMN osm.vpoi_all.osm_subtype IS 'Value detail describing the key (osm_type).';

