COMMENT ON TABLE osm.shop_point IS 'OpenStreetMap shop related points.   Generated by osm2pgsql Flex output using pgosm-flex/flex-config/shop.lua';
COMMENT ON TABLE osm.shop_polygon IS 'OpenStreetMap shop related polygons. Generated by osm2pgsql Flex output using pgosm-flex/flex-config/shop.lua';

COMMENT ON COLUMN osm.shop_point.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.shop_polygon.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';

COMMENT ON COLUMN osm.shop_point.geom IS 'Geometry loaded by osm2pgsql.';
COMMENT ON COLUMN osm.shop_polygon.geom IS 'Geometry loaded by osm2pgsql.';


COMMENT ON COLUMN osm.shop_point.wheelchair IS 'Indicates if feature is wheelchair accessible. Values:  yes, no, limited.  Per https://wiki.openstreetmap.org/wiki/Key:wheelchair';
COMMENT ON COLUMN osm.shop_polygon.wheelchair IS 'Indicates if feature is wheelchair accessible. Values:  yes, no, limited.  Per https://wiki.openstreetmap.org/wiki/Key:wheelchair';
COMMENT ON COLUMN osm.shop_point.operator IS 'Entity in charge of operations. https://wiki.openstreetmap.org/wiki/Key:operator';
COMMENT ON COLUMN osm.shop_polygon.operator IS 'Entity in charge of operations. https://wiki.openstreetmap.org/wiki/Key:operator';

COMMENT ON COLUMN osm.shop_point.website IS 'Official website for the feature.  https://wiki.openstreetmap.org/wiki/Key:website';
COMMENT ON COLUMN osm.shop_polygon.website IS 'Official website for the feature.  https://wiki.openstreetmap.org/wiki/Key:website';


ALTER TABLE osm.shop_point
    ADD CONSTRAINT pk_osm_shop_point_osm_id
    PRIMARY KEY (osm_id)
;
ALTER TABLE osm.shop_polygon
    ADD CONSTRAINT pk_osm_shop_polygon_osm_id
    PRIMARY KEY (osm_id)
;


COMMENT ON COLUMN osm.shop_point.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';
COMMENT ON COLUMN osm.shop_polygon.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';

COMMENT ON COLUMN osm.shop_point.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer. Value from key stored in osm_subtype.';
COMMENT ON COLUMN osm.shop_polygon.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer. Value from key stored in osm_subtype.';

COMMENT ON COLUMN osm.shop_point.osm_subtype IS 'Value detail describing the key (osm_type).';
COMMENT ON COLUMN osm.shop_polygon.osm_subtype IS 'Value detail describing the key (osm_type).';

COMMENT ON COLUMN osm.shop_point.address IS 'Address combined from address parts in helpers.get_address().';
COMMENT ON COLUMN osm.shop_polygon.address IS 'Address combined from address parts in helpers.get_address().';

COMMENT ON COLUMN osm.shop_point.housenumber IS 'Value from addr:housenumber tag';
COMMENT ON COLUMN osm.shop_point.street IS 'Value from addr:street tag';
COMMENT ON COLUMN osm.shop_point.city IS 'Value from addr:city tag';
COMMENT ON COLUMN osm.shop_point.state IS 'Value from addr:state tag';
COMMENT ON COLUMN osm.shop_point.postcode IS 'Value from addr:postcode tag';

COMMENT ON COLUMN osm.shop_polygon.housenumber IS 'Value from addr:housenumber tag';
COMMENT ON COLUMN osm.shop_polygon.street IS 'Value from addr:street tag';
COMMENT ON COLUMN osm.shop_polygon.city IS 'Value from addr:city tag';
COMMENT ON COLUMN osm.shop_polygon.state IS 'Value from addr:state tag';
COMMENT ON COLUMN osm.shop_polygon.postcode IS 'Value from addr:postcode tag';

COMMENT ON COLUMN osm.shop_point.brand IS 'Identity of product, service or business. https://wiki.openstreetmap.org/wiki/Key:brand';
COMMENT ON COLUMN osm.shop_polygon.brand IS 'Identity of product, service or business. https://wiki.openstreetmap.org/wiki/Key:brand';


COMMENT ON COLUMN osm.shop_point.phone IS 'Phone number associated with the feature. https://wiki.openstreetmap.org/wiki/Key:phone';
COMMENT ON COLUMN osm.shop_polygon.phone IS 'Phone number associated with the feature. https://wiki.openstreetmap.org/wiki/Key:phone';

COMMENT ON COLUMN osm.shop_point.address IS 'Address combined from address parts in helpers.get_address().';
COMMENT ON COLUMN osm.shop_polygon.address IS 'Address combined from address parts in helpers.get_address().';


-- osm_type column only has shop/amenity values.
-- Indexing osm_subtype b/c has more selective and seems more likely to be used.
CREATE INDEX ix_osm_shop_point_type ON osm.shop_point (osm_subtype);
CREATE INDEX ix_osm_shop_polygon_type ON osm.shop_polygon (osm_subtype);


CREATE VIEW osm.vshop_all AS
SELECT osm_id, 'N' AS geom_type, osm_type, osm_subtype, name,
        address, phone, wheelchair, wheelchair_desc,
        operator, brand, website, geom
    FROM osm.shop_point
UNION
SELECT osm_id, 'W' AS geom_type, osm_type, osm_subtype, name,
        address, phone, wheelchair, wheelchair_desc,
        operator, brand, website,
        ST_Centroid(geom) AS geom
    FROM osm.shop_polygon
;

COMMENT ON VIEW osm.vshop_all IS 'Converts polygon shops to point with ST_Centroid(), combines with source points using UNION.';
COMMENT ON COLUMN osm.vshop_all.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';
COMMENT ON COLUMN osm.vshop_all.osm_type IS 'Stores the OpenStreetMap key that included this feature in the layer. Value from key stored in osm_subtype.';
COMMENT ON COLUMN osm.vshop_all.osm_subtype IS 'Value detail describing the key (osm_type).';
COMMENT ON COLUMN osm.vshop_all.address IS 'Address combined from address parts in helpers.get_address().';
COMMENT ON COLUMN osm.vshop_all.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.vshop_all.geom IS 'Geometry, mix of points loaded by osm2pgsql and points calculated from the ST_Centroid() of the polygons loaded by osm2pgsql.';

COMMENT ON COLUMN osm.vshop_all.wheelchair IS 'Indicates if feature is wheelchair accessible. Values:  yes, no, limited.  Per https://wiki.openstreetmap.org/wiki/Key:wheelchair';
COMMENT ON COLUMN osm.vshop_all.geom_type IS 'Type of geometry. N(ode), W(ay) or R(elation).  Unique along with osm_id';
COMMENT ON COLUMN osm.vshop_all.operator IS 'Entity in charge of operations. https://wiki.openstreetmap.org/wiki/Key:operator';
COMMENT ON COLUMN osm.vshop_all.website IS 'Official website for the feature.  https://wiki.openstreetmap.org/wiki/Key:website';
COMMENT ON COLUMN osm.vshop_all.brand IS 'Identity of product, service or business. https://wiki.openstreetmap.org/wiki/Key:brand';
COMMENT ON COLUMN osm.vshop_all.phone IS 'Phone number associated with the feature. https://wiki.openstreetmap.org/wiki/Key:phone';
