COMMENT ON TABLE osm.water_point IS 'OpenStreetMap water / waterway related points.  Includes combination of "natural" and "waterway" keys.  Generated by osm2pgsql Flex output using pgosm-flex/flex-config/water.lua';
COMMENT ON TABLE osm.water_line IS 'OpenStreetMap water / waterway related lines.  Includes combination of "natural" and "waterway" keys.  Generated by osm2pgsql Flex output using pgosm-flex/flex-config/water.lua';
COMMENT ON TABLE osm.water_polygon IS 'OpenStreetMap water / waterway related polygons.  Includes combination of "natural" and "waterway" keys.  Generated by osm2pgsql Flex output using pgosm-flex/flex-config/water.lua';

COMMENT ON COLUMN osm.water_point.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';
COMMENT ON COLUMN osm.water_line.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';
COMMENT ON COLUMN osm.water_polygon.osm_id IS 'OpenStreetMap ID. Unique along with geometry type.';

COMMENT ON COLUMN osm.water_point.osm_type IS 'Indicates the key (natural/waterway) providing the source for the detail';
COMMENT ON COLUMN osm.water_line.osm_type IS 'Indicates the key (natural/waterway) providing the source for the detail';
COMMENT ON COLUMN osm.water_polygon.osm_type IS 'Indicates the key (natural/waterway) providing the source for the detail';

COMMENT ON COLUMN osm.water_point.osm_subtype IS 'Value detail describing the key (osm_type).';
COMMENT ON COLUMN osm.water_line.osm_subtype IS 'Value detail describing the key (osm_type).';
COMMENT ON COLUMN osm.water_polygon.osm_subtype IS 'Value detail describing the key (osm_type).';

COMMENT ON COLUMN osm.water_point.layer IS 'Vertical ordering layer (Z) to handle crossing/overlapping features. "All ways without an explicit value are assumed to have layer 0." - per Wiki - https://wiki.openstreetmap.org/wiki/Key:layer';
COMMENT ON COLUMN osm.water_line.layer IS 'Vertical ordering layer (Z) to handle crossing/overlapping features. "All ways without an explicit value are assumed to have layer 0." - per Wiki - https://wiki.openstreetmap.org/wiki/Key:layer';
COMMENT ON COLUMN osm.water_polygon.layer IS 'Vertical ordering layer (Z) to handle crossing/overlapping features. "All ways without an explicit value are assumed to have layer 0." - per Wiki - https://wiki.openstreetmap.org/wiki/Key:layer';

COMMENT ON COLUMN osm.water_point.bridge IS 'If empty, assume not a bridge.  If not empty, check value for details.';
COMMENT ON COLUMN osm.water_line.bridge IS 'If empty, assume not a bridge.  If not empty, check value for details.';
COMMENT ON COLUMN osm.water_polygon.bridge IS 'If empty, assume not a bridge.  If not empty, check value for details.';

COMMENT ON COLUMN osm.water_point.tunnel IS 'If empty, assume not a tunnel.  If not empty, check value for details.';
COMMENT ON COLUMN osm.water_line.tunnel IS 'If empty, assume not a tunnel.  If not empty, check value for details.';
COMMENT ON COLUMN osm.water_polygon.tunnel IS 'If empty, assume not a tunnel.  If not empty, check value for details.';

COMMENT ON COLUMN osm.water_point.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.water_line.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';
COMMENT ON COLUMN osm.water_polygon.name IS 'Best name option determined by helpers.get_name(). Keys with priority are: name, short_name, alt_name and loc_name.  See pgosm-flex/flex-config/helpers.lua for full logic of selection.';

COMMENT ON COLUMN osm.water_point.geom IS 'Geometry loaded by osm2pgsql.';
COMMENT ON COLUMN osm.water_line.geom IS 'Geometry loaded by osm2pgsql.';
COMMENT ON COLUMN osm.water_polygon.geom IS 'Geometry loaded by osm2pgsql.';

COMMENT ON COLUMN osm.water_point.boat IS 'Access details for boat travel.  https://wiki.openstreetmap.org/wiki/Key:boat';
COMMENT ON COLUMN osm.water_line.boat IS 'Access details for boat travel.  https://wiki.openstreetmap.org/wiki/Key:boat';
COMMENT ON COLUMN osm.water_polygon.boat IS 'Access details for boat travel.  https://wiki.openstreetmap.org/wiki/Key:boat';


ALTER TABLE osm.water_point
    ADD CONSTRAINT pk_osm_water_point_osm_id
    PRIMARY KEY (osm_id)
;
ALTER TABLE osm.water_line
    ADD CONSTRAINT pk_osm_water_line_osm_id
    PRIMARY KEY (osm_id)
;
ALTER TABLE osm.water_polygon
    ADD CONSTRAINT pk_osm_water_polygon_osm_id
    PRIMARY KEY (osm_id)
;


-- osm_type column only has natural/waterway values.
-- Indexing osm_subtype b/c has more selective and seems more likely to be used.
CREATE INDEX ix_osm_water_point_type ON osm.water_point (osm_subtype);
CREATE INDEX ix_osm_water_line_type ON osm.water_line (osm_subtype);
CREATE INDEX ix_osm_water_polygon_type ON osm.water_polygon (osm_subtype);
