# Generated by Django 4.0.1 on 2022-01-25 00:53

import django.contrib.gis.db.models.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []  # type: ignore

    operations = [
        migrations.CreateModel(
            name="PgosmFlex",
            fields=[
                ("id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("imported", models.DateTimeField()),
                ("osm_date", models.DateField()),
                ("default_date", models.BooleanField()),
                ("region", models.TextField()),
                ("pgosm_flex_version", models.TextField()),
                ("srid", models.TextField()),
                ("project_url", models.TextField()),
                ("osm2pgsql_version", models.TextField()),
                ("language", models.TextField()),
                ("osm2pgsql_mode", models.TextField()),
            ],
            options={
                "db_table": "osmflex_pgosm_flex",
                "managed": False,
            },
        ),
        migrations.CreateModel(
            name="AmenityLine",
            fields=[
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.LineStringField(srid=3857)),
                ("housenumber", models.CharField(blank=True, max_length=128, null=True)),
                ("street", models.CharField(blank=True, max_length=128, null=True)),
                ("city", models.CharField(blank=True, max_length=128, null=True)),
                ("state", models.CharField(blank=True, max_length=128, null=True)),
                ("postcode", models.CharField(blank=True, max_length=128, null=True)),
                ("address", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair_desc", models.CharField(blank=True, max_length=128, null=True)),
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="AmenityPoint",
            fields=[
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("housenumber", models.CharField(blank=True, max_length=128, null=True)),
                ("street", models.CharField(blank=True, max_length=128, null=True)),
                ("city", models.CharField(blank=True, max_length=128, null=True)),
                ("state", models.CharField(blank=True, max_length=128, null=True)),
                ("postcode", models.CharField(blank=True, max_length=128, null=True)),
                ("address", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair_desc", models.CharField(blank=True, max_length=128, null=True)),
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="AmenityPolygon",
            fields=[
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("housenumber", models.CharField(blank=True, max_length=128, null=True)),
                ("street", models.CharField(blank=True, max_length=128, null=True)),
                ("city", models.CharField(blank=True, max_length=128, null=True)),
                ("state", models.CharField(blank=True, max_length=128, null=True)),
                ("postcode", models.CharField(blank=True, max_length=128, null=True)),
                ("address", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair_desc", models.CharField(blank=True, max_length=128, null=True)),
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="BuildingPoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("housenumber", models.CharField(blank=True, max_length=128, null=True)),
                ("street", models.CharField(blank=True, max_length=128, null=True)),
                ("city", models.CharField(blank=True, max_length=128, null=True)),
                ("state", models.CharField(blank=True, max_length=128, null=True)),
                ("postcode", models.CharField(blank=True, max_length=128, null=True)),
                ("address", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair_desc", models.CharField(blank=True, max_length=128, null=True)),
                ("levels", models.IntegerField(blank=True, null=True)),
                ("height", models.FloatField(blank=True, null=True)),
                ("operator", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="BuildingPolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("housenumber", models.CharField(blank=True, max_length=128, null=True)),
                ("street", models.CharField(blank=True, max_length=128, null=True)),
                ("city", models.CharField(blank=True, max_length=128, null=True)),
                ("state", models.CharField(blank=True, max_length=128, null=True)),
                ("postcode", models.CharField(blank=True, max_length=128, null=True)),
                ("address", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair_desc", models.CharField(blank=True, max_length=128, null=True)),
                ("levels", models.IntegerField(blank=True, null=True)),
                ("height", models.FloatField(blank=True, null=True)),
                ("operator", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="IndoorLine",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.LineStringField(srid=3857)),
                ("layer", models.TextField(blank=True, null=True)),
                ("level", models.TextField(blank=True, null=True)),
                ("room", models.TextField(blank=True, null=True)),
                ("entrance", models.TextField(blank=True, null=True)),
                ("door", models.TextField(blank=True, null=True)),
                ("capacity", models.TextField(blank=True, null=True)),
                ("highway", models.TextField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="IndoorPoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("layer", models.TextField(blank=True, null=True)),
                ("level", models.TextField(blank=True, null=True)),
                ("room", models.TextField(blank=True, null=True)),
                ("entrance", models.TextField(blank=True, null=True)),
                ("door", models.TextField(blank=True, null=True)),
                ("capacity", models.TextField(blank=True, null=True)),
                ("highway", models.TextField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="IndoorPolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("layer", models.TextField(blank=True, null=True)),
                ("level", models.TextField(blank=True, null=True)),
                ("room", models.TextField(blank=True, null=True)),
                ("entrance", models.TextField(blank=True, null=True)),
                ("door", models.TextField(blank=True, null=True)),
                ("capacity", models.TextField(blank=True, null=True)),
                ("highway", models.TextField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="InfrastructureLine",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.LineStringField(srid=3857)),
                ("ele", models.IntegerField(blank=True, null=True)),
                ("height", models.FloatField(blank=True, null=True)),
                ("operator", models.CharField(blank=True, max_length=1024, null=True)),
                ("material", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="InfrastructurePoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("ele", models.IntegerField(blank=True, null=True)),
                ("height", models.FloatField(blank=True, null=True)),
                ("operator", models.CharField(blank=True, max_length=1024, null=True)),
                ("material", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="InfrastructurePolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("ele", models.IntegerField(blank=True, null=True)),
                ("height", models.FloatField(blank=True, null=True)),
                ("operator", models.CharField(blank=True, max_length=1024, null=True)),
                ("material", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="LandusePoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="LandusePolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="LeisurePoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="LeisurePolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="NaturalLine",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.LineStringField(srid=3857)),
                ("ele", models.IntegerField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="NaturalPoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("ele", models.IntegerField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="NaturalPolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("ele", models.IntegerField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="PlaceLine",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.LineStringField(srid=3857)),
                ("boundary", models.CharField(blank=True, max_length=1024, null=True)),
                ("admin_level", models.IntegerField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="PlacePoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("boundary", models.CharField(blank=True, max_length=1024, null=True)),
                ("admin_level", models.IntegerField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="PlacePolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("boundary", models.CharField(blank=True, max_length=1024, null=True)),
                ("admin_level", models.IntegerField(blank=True, null=True)),
                ("member_ids", models.JSONField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="PoiLine",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.LineStringField(srid=3857)),
                ("housenumber", models.CharField(blank=True, max_length=128, null=True)),
                ("street", models.CharField(blank=True, max_length=128, null=True)),
                ("city", models.CharField(blank=True, max_length=128, null=True)),
                ("state", models.CharField(blank=True, max_length=128, null=True)),
                ("postcode", models.CharField(blank=True, max_length=128, null=True)),
                ("address", models.CharField(blank=True, max_length=128, null=True)),
                ("operator", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="PoiPoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("housenumber", models.CharField(blank=True, max_length=128, null=True)),
                ("street", models.CharField(blank=True, max_length=128, null=True)),
                ("city", models.CharField(blank=True, max_length=128, null=True)),
                ("state", models.CharField(blank=True, max_length=128, null=True)),
                ("postcode", models.CharField(blank=True, max_length=128, null=True)),
                ("address", models.CharField(blank=True, max_length=128, null=True)),
                ("operator", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="PoiPolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("housenumber", models.CharField(blank=True, max_length=128, null=True)),
                ("street", models.CharField(blank=True, max_length=128, null=True)),
                ("city", models.CharField(blank=True, max_length=128, null=True)),
                ("state", models.CharField(blank=True, max_length=128, null=True)),
                ("postcode", models.CharField(blank=True, max_length=128, null=True)),
                ("address", models.CharField(blank=True, max_length=128, null=True)),
                ("operator", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
                ("member_ids", models.JSONField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="PublicTransportLine",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.LineStringField(srid=3857)),
                ("wheelchair", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair_desc", models.CharField(blank=True, max_length=128, null=True)),
                ("public_transport", models.TextField(blank=True, max_length=1024, null=True)),
                ("layer", models.IntegerField(blank=True, null=True)),
                ("ref", models.TextField(blank=True, max_length=1024, null=True)),
                ("operator", models.TextField(blank=True, max_length=1024, null=True)),
                ("network", models.TextField(blank=True, max_length=1024, null=True)),
                ("surface", models.TextField(blank=True, max_length=1024, null=True)),
                ("bus", models.TextField(blank=True, max_length=1024, null=True)),
                ("shelter", models.TextField(blank=True, max_length=1024, null=True)),
                ("bench", models.TextField(blank=True, max_length=1024, null=True)),
                ("lit", models.TextField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="PublicTransportPoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("wheelchair", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair_desc", models.CharField(blank=True, max_length=128, null=True)),
                ("public_transport", models.TextField(blank=True, max_length=1024, null=True)),
                ("layer", models.IntegerField(blank=True, null=True)),
                ("ref", models.TextField(blank=True, max_length=1024, null=True)),
                ("operator", models.TextField(blank=True, max_length=1024, null=True)),
                ("network", models.TextField(blank=True, max_length=1024, null=True)),
                ("surface", models.TextField(blank=True, max_length=1024, null=True)),
                ("bus", models.TextField(blank=True, max_length=1024, null=True)),
                ("shelter", models.TextField(blank=True, max_length=1024, null=True)),
                ("bench", models.TextField(blank=True, max_length=1024, null=True)),
                ("lit", models.TextField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="PublicTransportPolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("wheelchair", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair_desc", models.CharField(blank=True, max_length=128, null=True)),
                ("public_transport", models.TextField(blank=True, max_length=1024, null=True)),
                ("layer", models.IntegerField(blank=True, null=True)),
                ("ref", models.TextField(blank=True, max_length=1024, null=True)),
                ("operator", models.TextField(blank=True, max_length=1024, null=True)),
                ("network", models.TextField(blank=True, max_length=1024, null=True)),
                ("surface", models.TextField(blank=True, max_length=1024, null=True)),
                ("bus", models.TextField(blank=True, max_length=1024, null=True)),
                ("shelter", models.TextField(blank=True, max_length=1024, null=True)),
                ("bench", models.TextField(blank=True, max_length=1024, null=True)),
                ("lit", models.TextField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="RoadLine",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.LineStringField(srid=3857)),
                ("ref", models.CharField(blank=True, max_length=1024, null=True)),
                ("maxspeed", models.IntegerField(blank=True, null=True)),
                ("oneway", models.IntegerField(blank=True, null=True)),
                ("layer", models.CharField(blank=True, max_length=1024, null=True)),
                ("tunnel", models.CharField(blank=True, max_length=1024, null=True)),
                ("bridge", models.CharField(blank=True, max_length=1024, null=True)),
                ("access", models.CharField(blank=True, max_length=1024, null=True)),
                ("major", models.BooleanField(default=False, null=True)),
                ("route_foot", models.BooleanField(default=False, null=True)),
                ("route_cycle", models.BooleanField(default=False, null=True)),
                ("route_motor", models.BooleanField(default=False, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="RoadMajor",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.LineStringField(srid=3857)),
                ("ref", models.CharField(blank=True, max_length=1024, null=True)),
                ("maxspeed", models.IntegerField(blank=True, null=True)),
                ("oneway", models.IntegerField(blank=True, null=True)),
                ("layer", models.CharField(blank=True, max_length=1024, null=True)),
                ("tunnel", models.CharField(blank=True, max_length=1024, null=True)),
                ("bridge", models.CharField(blank=True, max_length=1024, null=True)),
                ("access", models.CharField(blank=True, max_length=1024, null=True)),
                ("major", models.BooleanField(default=False, null=True)),
                ("route_foot", models.BooleanField(default=False, null=True)),
                ("route_cycle", models.BooleanField(default=False, null=True)),
                ("route_motor", models.BooleanField(default=False, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="RoadPoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("ref", models.CharField(blank=True, max_length=1024, null=True)),
                ("maxspeed", models.IntegerField(blank=True, null=True)),
                ("oneway", models.IntegerField(blank=True, null=True)),
                ("layer", models.CharField(blank=True, max_length=1024, null=True)),
                ("tunnel", models.CharField(blank=True, max_length=1024, null=True)),
                ("bridge", models.CharField(blank=True, max_length=1024, null=True)),
                ("access", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="RoadPolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("ref", models.CharField(blank=True, max_length=1024, null=True)),
                ("maxspeed", models.IntegerField(blank=True, null=True)),
                ("layer", models.CharField(blank=True, max_length=1024, null=True)),
                ("tunnel", models.CharField(blank=True, max_length=1024, null=True)),
                ("bridge", models.CharField(blank=True, max_length=1024, null=True)),
                ("access", models.CharField(blank=True, max_length=1024, null=True)),
                ("major", models.BooleanField(default=False, null=True)),
                ("route_foot", models.BooleanField(default=False, null=True)),
                ("route_cycle", models.BooleanField(default=False, null=True)),
                ("route_motor", models.BooleanField(default=False, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="ShopPoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("housenumber", models.CharField(blank=True, max_length=128, null=True)),
                ("street", models.CharField(blank=True, max_length=128, null=True)),
                ("city", models.CharField(blank=True, max_length=128, null=True)),
                ("state", models.CharField(blank=True, max_length=128, null=True)),
                ("postcode", models.CharField(blank=True, max_length=128, null=True)),
                ("address", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair_desc", models.CharField(blank=True, max_length=128, null=True)),
                ("operator", models.CharField(blank=True, max_length=1024, null=True)),
                ("brand", models.CharField(blank=True, max_length=1024, null=True)),
                ("website", models.CharField(blank=True, max_length=1024, null=True)),
                ("phone", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="ShopPolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("housenumber", models.CharField(blank=True, max_length=128, null=True)),
                ("street", models.CharField(blank=True, max_length=128, null=True)),
                ("city", models.CharField(blank=True, max_length=128, null=True)),
                ("state", models.CharField(blank=True, max_length=128, null=True)),
                ("postcode", models.CharField(blank=True, max_length=128, null=True)),
                ("address", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair", models.CharField(blank=True, max_length=128, null=True)),
                ("wheelchair_desc", models.CharField(blank=True, max_length=128, null=True)),
                ("operator", models.CharField(blank=True, max_length=1024, null=True)),
                ("brand", models.CharField(blank=True, max_length=1024, null=True)),
                ("website", models.CharField(blank=True, max_length=1024, null=True)),
                ("phone", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="Tags",
            fields=[
                ("geom_type", models.CharField(blank=True, max_length=2, null=True)),
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("tags", models.JSONField()),
            ],
        ),
        migrations.CreateModel(
            name="TrafficLine",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.LineStringField(srid=3857)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="TrafficPoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="TrafficPolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="Unitable",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("osm_id", models.BigIntegerField()),
                ("geom_type", models.CharField(blank=True, max_length=5, null=True)),
                ("tags", models.JSONField()),
                ("geom", django.contrib.gis.db.models.fields.GeometryField(srid=3857)),
            ],
        ),
        migrations.CreateModel(
            name="WaterLine",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.LineStringField(srid=3857)),
                ("layer", models.IntegerField()),
                ("tunnel", models.CharField(blank=True, max_length=1024, null=True)),
                ("bridge", models.CharField(blank=True, max_length=1024, null=True)),
                ("boat", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="WaterPoint",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.PointField(srid=3857)),
                ("layer", models.IntegerField()),
                ("tunnel", models.CharField(blank=True, max_length=1024, null=True)),
                ("bridge", models.CharField(blank=True, max_length=1024, null=True)),
                ("boat", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="WaterPolygon",
            fields=[
                ("osm_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("osm_type", models.CharField(blank=True, max_length=1024, null=True)),
                ("name", models.CharField(blank=True, max_length=1024, null=True)),
                ("geom", django.contrib.gis.db.models.fields.MultiPolygonField(srid=3857)),
                ("layer", models.IntegerField()),
                ("tunnel", models.CharField(blank=True, max_length=1024, null=True)),
                ("bridge", models.CharField(blank=True, max_length=1024, null=True)),
                ("boat", models.CharField(blank=True, max_length=1024, null=True)),
                ("osm_subtype", models.CharField(blank=True, max_length=1024, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
